import { Color, TagColor } from "@easyv/dtable-types/output/Color";
import { ViewSchema } from "@easyv/dtable-types/output/View";
export declare const isPinyinMatch: (word: string, pinyin: string) => boolean;
export declare function getTextWidth(text: string, font?: string): number;
export declare function isDarkColor(color?: string): boolean;
export declare function isLightColor(color?: string): boolean;
export declare function getDarkColor(color: Color | TagColor): "" | Color.GreenDark | Color.IceDark | Color.BlueDark | Color.PurpleDark | Color.RoseDark | Color.RedDark | Color.OrangeDark | Color.YellowDark | Color.GrayDark;
export declare function getLightColor(color: string): "" | Color.GreenLight | Color.IceLight | Color.BlueLight | Color.PurpleLight | Color.RoseLight | Color.RedLight | Color.OrangeLight | Color.YellowLight | Color.GrayLight;
export default function resolvePath(pathA?: string, pathB?: string): string;
export declare const isEmptyValue: (v: any) => boolean;
export declare function resolveAssetsUrl(url: string): string;
export declare const comdify: (n: string) => string;
export declare function getCanvasFontSize(el?: HTMLElement): string;
export declare function getCssStyle(element: Element, prop: string): string;
export declare const getNewColor: (colorList: string[], options?: {
    from?: string[] | undefined;
} | undefined) => string;
export declare function parseQuillCommentContent(message: string): any[];
export declare const getFirstAvailableGridView: (views: ViewSchema[], userId: any) => string | undefined;
export declare const isAssetTypeAnImage: (type: string) => boolean;
